Subject: bug#42108: 28.0.50; treemacs no longer work on native-comp branch

From: Andrey Orst <[email-masked]>
Date: Mon, 29 Jun 2020 13:46:37 +0300

though now yasnippet seem to be broken with such messages:

    File mode specification error: (void-variable --cl-rest--)
    apply: Symbol’s value as variable is void: --cl-rest--

Deleting eln directory with compiled files from yasnippet dir makes it work
until I reload Emacs.

On Mon, Jun 29, 2020 at 11:52 AM Andrey Orst <[email-masked]> wrote:

> Yes, everything seem to work now
>
> On Sun, Jun 28, 2020 at 11:29 PM Andrea Corallo <[email-masked]> wrote:
>
>> Andrey Orst <[email-masked]> writes:
>>
>> > Some commits ago, I'm not sure exactly when, Emacs compiled with
>> > native
>> > compilation branch no longer able to display Treemacs buffer. When
>> > trying open Treemacs I can see the error message:
>> >
>> >     Wrong type argument: stringp, nil
>> >
>> > Here's minimal init.el:
>> >
>> >     (defvar package-archives)
>> >     (setq package-archives
>> >           '(("gnu" . "https://elpa.gnu.org/packages/")
>> >             ("melpa" . "https://melpa.org/packages/")))
>> >
>> >     (package-initialize)
>> >     (package-refresh-contents)
>> >
>> >     (unless (package-installed-p 'treemacs)
>> >       (package-install 'treemacs))
>> >
>> >     (treemacs)
>> >
>> > This will automatically download and install treemacs, and run it,
>> > however the treemacs buffer is empty, and nothing works.
>> >
>> > If I switch to current master branch and recompile Emacs, then
>> > Treemacs
>> > works as expected, so I assume it is a native-comp branch bug.
>>
>> Hi Andrey,
>>
>> I tried your reproducer using the lastest native-comp 0ce4bf3ede and it
>> works for me.  Possibly this could be solved by one of the other bugs I
>> fixed this weekend.
>>
>> Could you have another try to see if you still see the issue?
>>
>> Thanks!
>>
>>   Andrea
>>
>> --
>> [email-masked]
>>
>
>
> --
> Best regards,
> Andrey Orst
>

-- 
Best regards,
Andrey Orst